Uses of Class
io.vertx.rxjava3.httpproxy.ProxyResponse
Packages that use ProxyResponse
-
Uses of ProxyResponse in io.vertx.rxjava3.httpproxy
Fields in io.vertx.rxjava3.httpproxy with type parameters of type ProxyResponseModifier and TypeFieldDescriptionstatic final io.vertx.lang.rx.TypeArg<ProxyResponse> ProxyResponse.__TYPE_ARGMethods in io.vertx.rxjava3.httpproxy that return ProxyResponseModifier and TypeMethodDescriptionstatic ProxyResponseProxyResponse.newInstance(ProxyResponse arg) ProxyResponse.release()Release the proxy response.ProxyContext.response()ProxyRequest.response()Create and return the proxy response.Set the request body to be sent to the user agent.ProxyResponse.setStatusCode(int sc) Set the status code to be sent to the user agent.ProxyResponse.setStatusMessage(String statusMessage) Set the status message to be sent to the user agent.Methods in io.vertx.rxjava3.httpproxy that return types with arguments of type ProxyResponseModifier and TypeMethodDescriptionProxyInterceptor.handleProxyRequest(ProxyContext context) Handle the proxy request at the stage of this interceptor.ProxyInterceptor.rxHandleProxyRequest(ProxyContext context) Handle the proxy request at the stage of this interceptor.ProxyRequest.rxSend(HttpClientRequest request) Send this request to the origin server using the specifiedrequest.ProxyContext.rxSendRequest()ProxyRequest.send(HttpClientRequest request) Send this request to the origin server using the specifiedrequest.ProxyContext.sendRequest()